SEEKDIR(3)

NAME
seekdir - set the position of the next readdir() call in the directory stream.

SYNOPSIS
#include <dirent.h>

void seekdir(DIR *dir, off_t offset);

Feature Test Macro Requirements for glibc (see feature_test_macros(7)):

seekdir(): _BSD_SOURCE || _SVID_SOURCE || _XOPEN_SOURCE

DESCRIPTION
The seekdir() function sets the location in the directory stream from which the next readdir(2) call will start. seekdir() should be used with an offset returned by telldir(3).

RETURN VALUE
The seekdir() function returns no value.

CONFORMING TO
4.3BSD, POSIX.1-2001.

SEE ALSO
lseek(2), closedir(3), opendir(3), readdir(3), rewinddir(3), scandir(3), telldir(3)

COLOPHON
This page is part of release 2.72 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.